### Method

# Gimp Procedure set_image_types

since: 3.0

#### Declaration [src]

    void
    gimp_procedure_set_image_types (
      GimpProcedure* procedure,
      const gchar* image_types
    )

#### Description [src]

This is a comma separated list of image types, or actually drawable types, that this procedure can deal with. Wildcards are possible here, so you could say “RGB*” instead of “RGB, RGBA” or “*” for all image types.

Supported types are “RGB”, “GRAY”, “INDEXED” and their variants with alpha.

Available since: 3.0

#### Parameters

`image_types`

  Type: `const gchar*`

  The image types this procedure can operate on.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.